Bug 509286 - (in-zap-crash) Using #zap inside #in command can cause crash
Using #zap inside #in command can cause crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: powwow (Show other bugs)
12
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 23:06 EDT by Tomáš Windsor
Modified: 2010-12-05 01:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:45:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Windsor 2009-07-01 23:06:05 EDT
Description of problem:
Using #zap command on main connection inside a delayed command (#in) when the latest created connection is spawned one leads to fatal error.

Version-Release number of selected component (if applicable):
1.2.15-1.fc11

How reproducible:
Always.

Steps to Reproduce:
1. powwow
2. #connect mume mume.org 4242
3. #spawn test cat
4. #in delayed (1) #zap mume
  
Actual results:
"mume" connection gets closed in next millisecond and fatal error follows:
#powwow: fatal system call error:
        select (9: Chybný popisovač souboru) [translation: Bad file descriptor]

Expected results:
"mume" connection gets closed in next millisecond.

Additional info:
If steps 2 and 3 are swapped, fatal error doesn't occur.
Comment 1 Kalev Lember 2009-09-16 16:46:08 EDT
Thank you for the report.

As we already discussed in private mail after you filed the bug, the reported issue is rather cosmetic, because zapping a connection in a delayed command should not happen during normal use. I talked to the upstream maintainer about that and he has no intentions of fixing this bug.

I'm keeping the ticket open and setting version to rawhide, as the issue isn't F-11 specific, however I am not sure if it gets fixed.
Comment 2 Bug Zapper 2009-11-16 05:35:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 06:53:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-05 01:45:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.